/*
==========================================================================
	MEMINST.H (Version 1.04)
		Interface to simple C/C++ memory instrumentation system.
  Copyright (c) 2000-2004 Daniel R. Collins. All rights reserved.
  You may freely copy this document, if copyright notice is maintained.
==========================================================================
*/

#ifndef MEMINST_H
#define MEMINST_H

#include <stdio.h>  // define size_t

// Can disable module overhead (for release) with the following switch
//#define DISABLE_MEMINST


// New handlers to be registered with set_new_handler()
int  memInstNewHandler (size_t stAllocateSize);
void memInstNewHandler (void);


// Accessors to memory instrumentation info
unsigned long memInstGetBlocks (void);
unsigned long memInstGetBytes (void);
void memInstReport (void);


#endif

